SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   IBM iNotes and Domino Vendors:   IBM
IBM Lotus Domino Web Server Input Validation Flaw in Webmail Permits Cross-Site Scripting Attacks
SecurityTracker Alert ID:  1032673
SecurityTracker URL:  http://securitytracker.com/id/1032673
CVE Reference:   CVE-2015-1981   (Links to External Site)
Date:  Jun 19 2015
Impact:   Disclosure of authentication information, Disclosure of user information, Execution of arbitrary code via network, Modification of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 8.5.3 FP6 and prior, 9.0.1 FP3 and prior
Description:   A vulnerability was reported in IBM Lotus Domino Web Server. A remote user can conduct cross-site scripting attacks.

The webmail interface does not properly filter HTML code from user-supplied input before displaying the input. A remote user can create a specially crafted URL that, when loaded by a target user, will cause arbitrary scripting code to be executed by the target user's browser. The code will originate from the site running the IBM Lotus Domino Web Server software and will run in the security context of that site. As a result, the code will be able to access the target user's cookies (including authentication cookies), if any, associated with the site, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.

Domino servers configured for iNotes are not affected.

The vendor has assigned SPR# KLYH9WYPR5 to this vulnerability.

Eugene Dokukin (MustLive) reported this vulnerability.

Impact:   A remote user can access the target user's cookies (including authentication cookies), if any, associated with the site running the IBM Lotus Domino Web Server software, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.
Solution:   The vendor has issued a fix (9.0.1 Fix Pack 4).

The vendor's advisory is available at:

http://www-01.ibm.com/support/docview.wss?uid=swg21959908

Vendor URL:  www-01.ibm.com/support/docview.wss?uid=swg21959908 (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (AIX), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC